Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556291 - python35: FTBFS in F28
Summary: python35: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python35
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1537261 F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:36 UTC by Fedora Release Engineering
Modified: 2018-04-29 20:53 UTC (History)
2 users (show)

Fixed In Version: python35-3.5.5-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-29 20:53:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
backtrace from abrt (deleted)
2018-03-28 12:15 UTC, Miro Hrončok
no flags Details

Description Fedora Release Engineering 2018-03-14 23:36:00 UTC
Your package python35 failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24885053

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Miro Hrončok 2018-03-28 12:15:06 UTC
Created attachment 1414158 [details]
backtrace from abrt

There is a seqfault in test_crypt. I won't have time to look at it now.

See https://src.fedoraproject.org/rpms/python35/pull-request/2 and the attachment.

Comment 2 Miro Hrončok 2018-03-28 12:15:32 UTC
Harris, could you please have a look?

Comment 3 Charalampos Stratakis 2018-03-29 09:30:07 UTC
(In reply to Miro Hrončok from comment #2)
> Harris, could you please have a look?

It should be related to the replacement of libcrypt with libxcrypt however the patch that fixed the same issue on python 3.6 doesn't work here. I don't have free cycles at the moment, but I'll try to get to it within a timely manner.

Comment 4 Fedora Update System 2018-04-24 08:46:09 UTC
python35-3.5.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3e7acf87ee

Comment 5 Fedora Update System 2018-04-29 20:53:01 UTC
python35-3.5.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.